<p align="center">
  <a href="https://developer.huawei.com">
    <img width="390px" src="./.docs/img/logo.png"><br/>
  </a>
  <h1 align="center">React-Native AGC Auth</h1>
</p>


<p align="center">
  <a href="https://www.npmjs.com/package/@react-native-agconnect/auth"><img src="https://img.shields.io/npm/dm/@react-native-agconnect/auth?color=%23007EC6&style=for-the-badge" alt="downloads"></a>
  <a href="https://www.npmjs.com/package/@react-native-agconnect/auth"><img src="https://img.shields.io/npm/v/@react-native-agconnect/auth?color=%23ed2a1c&style=for-the-badge" alt="NPM version"></a>
  <a href="LICENCE"><img src="https://img.shields.io/npm/l/@react-native-agconnect/auth.svg?color=%3bcc62&style=for-the-badge" alt="License"></a>
</p>

----

Most apps need to identify and authenticate users to tailor the app experience for individual users. However, building such a system from scratch is a difficult process.AGC Auth Service can quickly build a secure and reliable user authentication system for your app. You only need to access AGC Auth Service capabilities in your app without caring about the facilities and implementation on the cloud.

This module enables communication between **HUAWEI AGC Auth Services Kit** and React Native platform. It exposes all functionality provided by **HUAWEI AGC Auth Services Kit** .

[> Learn More](https://developer.huawei.com/consumer/en/doc/development/AppGallery-connect-Guides/agc-auth-introduction-0000001053732605)

## Installation

```bash
$ npm i @react-native-agconnect/auth
```

## Documentation

- [Quick Start](https://developer.huawei.com/consumer/en/doc/development/AppGallery-connect-Guides/agc-get-started-reactnactive)
- [Reference](https://developer.huawei.com/consumer/en/doc/development/AppGallery-connect-References/reactnative-auth-overview-0000001072338099)

### Additional Topics
- [Version Change History](https://developer.huawei.com/consumer/en/doc/development/AppGallery-connect-Guides/agc-auth-reactnative-releasenotes-0000001072736336)
- [Usage](https://developer.huawei.com/consumer/en/doc/development/AppGallery-connect-Guides/agc-auth-reactnative-usage-0000001072110443)

## Questions or Issues

If you have questions about how to use AGC samples, try the following options:
- [Stack Overflow](https://stackoverflow.com/questions/tagged/appgallery) is the best place for any programming questions. Be sure to tag your question with **appgallery** or **appgallery connect**.
- [Github](https://github.com/AppGalleryConnect/agc-reactnative-plugin) is the official repository for these plugins, You can open an issue or submit your ideas.
- [Huawei Developer Forum](https://forums.developer.huawei.com/forumPortal/en/forum/appgallery) AppGallery Connect Module is great for general questions, or seeking recommendations and opinions.
- [Huawei Developer Docs](https://developer.huawei.com/consumer/en/doc/overview/AppGallery-connect) is place to official documentation for all AppGallery Connect Kits, you can find detailed documentations in there.

If you run into a bug in our samples, please submit an issue to the [GitHub repository](https://github.com/AppGalleryConnect/agc-reactnative-plugin).

## License

Huawei AGC React-Native Plugin is licensed under [Apache 2.0 license](LICENCE)
