/*
    Copyright 2020. Huawei Technologies Co., Ltd. All rights reserved.

    Licensed under the Apache License, Version 2.0 (the "License")
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        https://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
*/

import AuthProviderType from './AuthProviderType';

export default class SelfBuildProvider {
  constructor() {
    throw new Error('`new SelfBuildProvider()` is not supported, please use static functions');
  }

  /**
   * create selfBuild credential by token
   * If the login is successful, an AGC user is automatically created.
   * 
   * @param {string} token the selfbuild token
   */
  static credential(token, autoCreateUser = true) {
    return {
      token: token,
      autoCreateUser: autoCreateUser,
      provider: AuthProviderType.SelfBuild,
    };
  }
}